#
# fishing.R, 20 Feb 22
#
# Data from:
# Is it Possible to Disregard Obsolete Requirements?  A Family of Experiments in Software Effort Estimation
# Lucas Gren and Richard Berntsson Svensson

library("colorspace")
library("plyr")

par(bty="l")
par(las=1)
par(pch="+")

pal_col=rainbow(3)

e02=read.csv("exp0to2.csv", as.is=TRUE, sep=";")
e3=read.csv("exp3.csv", as.is=TRUE, sep=";")
e4=read.csv("exp4.csv", as.is=TRUE, sep=";")

e02_cnt=count(e02$estimate)
e02_0_cnt=subset(e02_cnt, round(x+0.4) == trunc(x))
e02_5_cnt=subset(e02_cnt, round(x+0.4) != trunc(x))
e3_cnt=count(e3$estimate)
e4_cnt=count(e4$estimate)

plot(e02_cnt, col=pal_col[1], type="b",
	yaxs="i",
	xlab="Estimate", ylab="Subjects")
lines(e02_0_cnt, col="grey")
lines(e02_5_cnt, col="grey", lty=2)

points(e3_cnt, col=pal_col[2], type="b")
points(e4_cnt, col=pal_col[3], type="b")
legend("topright", legend=c("exp 0to2", "exp 3", "exp 4"), fill=pal_col)

e02_mod=glm(estimate ~ group+study_year, data=e02)
summary(e02_mod)

e3_mod=glm(estimate ~ group, data=e3)
summary(e3_mod)

e4_mod=glm(estimate ~ group, data=e4)
summary(e4_mod)

